So aktivieren Sie legacy-Erweiterungen im Firefox-57

0
394

Wenn Sie mit Firefox Nightly ist jetzt, Sie haben vielleicht bemerkt, dass das neueste update des web-browser deaktiviert alle älteren add-ons.

Firefox Nightly ist die erste version des Firefox web-browser, der hit-version 57, die Firefox-version fällt der support für so genannte legacy-add-ons zu Gunsten von WebExtensions.

Nightly ist die cutting-edge-version des Firefox-Browsers. Entwicklung landet im Nächtlichen zuerst, zog dann nach Beta, bevor es landet in der release-Versionen.

Erweiterung für Legacy-Unterstützung wird gelöscht, wenn die Beta-version ist ein Update auf die version 57 am Oktober 10, 2017, und, wenn die Release-version von Firefox aktualisiert auf die version 57 am November 14, 2017.

Nightly ist eine Besondere, da die Nutzer von Firefox Nightly umgehen kann, die der Einschränkung, dass Blöcke, die Verwendung von legacy-Erweiterungen in dem browser. Der Schalter wird nicht Teil von Firefox Beta oder Release.

Legacy-Erweiterungen in Firefox

firefox legacy extensions

Wir Sprachen über Optionen zum ausführen von legacy-Erweiterungen in Firefox, wenn Firefox 57 freigegeben wird bevor; Sie eine der Optionen in dem Artikel erwähnt, war der Einsatz von Firefox Nightly und konfigurieren Sie es zum ausführen von legacy-Erweiterungen. Nicht klar war damals, wie das funktionieren würde, und diese Anleitung zeigt den Prozess für Sie.

Beachten Sie aber, dass einige legacy-Erweiterungen brechen in Firefox 57 und neuere, auch wenn das aktivieren der Unterstützung für Sie. Die Hauptgründe dafür sind änderungen an code, die Erweiterungen stützen sich auf die für die Funktionalität.

Firefox-57-Listen deaktiviert add-ons unter legacy-Erweiterungen auf der about:addons-web-Seite. Ein “Ersatz” – option angezeigt wird, neben jeder Erweiterung für legacy. Ein Klick leitet den user weiter zu Mozillas AMO website, wo Ersatz WebExtensions aufgeführt sind.

Lesen Sie auch: Firefox-57 bekommt “Ersatz finden” – Funktion für nicht unterstützte Erweiterungen

Funktioniert das nicht richtig, aber das ist zu erwarten, wenn man bedenkt, dass Nightly ist eine Entwicklerversion. Ein Problem mit dem Ersatz-option ist, dass es nicht als Ersatz für einige ältere add-ons.

Classic Theme Restorer ist ein Paradebeispiel dafür, wie WebExtension ist nicht replizieren, die die Funktionalität des Firefox-legacy add-on.

Aktivieren Sie legacy-Erweiterungen in Firefox Nightly

firefox extensions legacy enabled

Zum aktivieren von legacy-Erweiterungen in Firefox Nightly, tun Sie den folgenden:

  1. Laden Sie about:config?filter=extensions.legacy.aktiviert in die Firefox-Adressleiste.
  2. Doppel-klicken Sie auf Erweiterungen.legacy.aktiviert, um die Einstellung zu wahren.
  3. Starten Sie den Firefox web-browser.

Sie aktivieren die Unterstützung für legacy-Erweiterungen in Firefox Nightly, wenn Sie die Einstellung auf “true”. Der Standardwert ist false, was bedeutet, dass ältere Erweiterungen nicht aktiviert sind.

Jetzt Sie: Wenn Sie Firefox verwenden, was werden Sie tun, wenn der browser trifft der version 57?